WiFi Hotspot fails due to low entropy

Having issues with your DietPi installation, or, found a bug? Post it here.
Post Reply
hatahata
Posts: 26
Joined: Thu Jul 07, 2016 3:42 am

WiFi Hotspot fails due to low entropy

Post by hatahata »

hi all .

first install git , iptables , dnsmasq ,hostapd and make

# git clone https://github.com/oblique/create_ap
# cd create_ap
# make install

create_ap --ieee80211n wlan1 eth0 DIETPI 1122334455

SSID is DIETPI


WARN: Your adapter does not fully support AP virtual interface, enabling --no-virt
Config dir: /tmp/create_ap.wlan1.conf.vhU31BM2
PID: 5204
Sharing Internet using method: nat
hostapd command-line interface: hostapd_cli -p /tmp/create_ap.wlan1.conf.vhU31BM2/hostapd_ctrl
Configuration file: /tmp/create_ap.wlan1.conf.vhU31BM2/hostapd.conf
WARN: Low entropy detected. We recommend you to install `haveged'
wlan1: interface state UNINITIALIZED->HT_SCAN
20/40 MHz operation not permitted on channel pri=1 sec=5 based on overlapping BSSes
Using interface wlan1 with hwaddr 00:19:86:21:a9:cf and ssid "DIETPI"
random: Cannot read from /dev/random: Resource temporarily unavailable
random: Only 17/20 bytes of strong random data available from /dev/random
random: Not enough entropy pool available for secure operations
WPA: Not enough entropy in random pool for secure operations - update keys later when the first station connects
wlan1: interface state HT_SCAN->ENABLED
wlan1: AP-ENABLED
wlan1: STA a4:3b:fa:c3:f3:a9 IEEE 802.11: authenticated
wlan1: STA a4:3b:fa:c3:f3:a9 IEEE 802.11: associated (aid 1)
wlan1: AP-STA-CONNECTED a4:3b:fa:c3:f3:a9
wlan1: STA a4:3b:fa:c3:f3:a9 RADIUS: starting accounting session 59498C06-00000000
wlan1: STA a4:3b:fa:c3:f3:a9 WPA: pairwise key handshake completed (RSN)
Last edited by k-plan on Thu Jun 22, 2017 6:27 pm, edited 1 time in total.
User avatar
MichaIng
Site Admin
Posts: 2423
Joined: Sat Nov 18, 2017 6:21 pm

Re: wifi access point

Post by MichaIng »

@hatahata
Just found this by searching for related issues: https://github.com/MichaIng/DietPi/issues/2806
Although it is some years old now, if you (or anyone else seeing this) face such issue again, the following will solve the issue: G_AGI haveged
This will be installed by default on DietPi from v6.25 on, as it solves several other issues that were reported.
Post Reply